Package org.eclipse.ecf.provider.comm

# Interface IConnectionListener

All Known Subinterfaces:
  `IAsynchEventHandler`, `ISynchAsynchEventHandler`, `ISynchEventHandler`

public interface IConnectionListener
Connection listener

See Also:
  - `IConnection.addListener(IConnectionListener)`

## Method Summary

Modifier and Type
Method
Description
`ID`
`getEventHandlerID()`
Get ID of event handler
`void`
`handleConnectEvent(ConnectionEvent event)`
Handle connect event
`void`
`handleDisconnectEvent(DisconnectEvent event)`
Handle disconnect event

## Method Details

### getEventHandlerID

ID getEventHandlerID()
Get ID of event handler

Returns:
  ID of event handler

### handleDisconnectEvent

void handleDisconnectEvent(DisconnectEvent event)
Handle disconnect event

Parameters:
  `event` - the disconnect event

### handleConnectEvent

void handleConnectEvent(ConnectionEvent event)
Handle connect event

Parameters:
  `event` - the connection event.